explain_pipe_or_die(3)

NAME
explain_pipe_or_die - create pipe and report errors
    "create pipe and report errors"

SYNOPSIS
#include <libexplain/pipe.h>

void explain_pipe_or_die(int *pipefd);

DESCRIPTION
The explain_pipe_or_die function is used to call the pipe(2) system call. On failure an explanation will be printed to stderr, obtained from explain_pipe(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_pipe_or_die(pipefd);

pipefd
    The pipefd, exactly as to be passed to the pipe(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

pipe(2)
    create pipe

explain_pipe(3)
    explain pipe(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2009 Peter Miller